#ifndef MANDELBROT_H
#define MANDELBROT_H

#include <SDL2/SDL.h>

#define SCREEN_WIDTH 640
#define SCREEN_HEIGHT 480
#define MAX_ITERATIONS 300
#define THREADS 4

struct{
    double real;
    double imag;
} typedef Complex;

struct{
    SDL_Window *window;
    SDL_Renderer *renderer;
} typedef App ;

struct{
    double x_min;
    double x_max;
    double y_min;
    double y_max;
    double zoom;
} typedef ViewInfo ;

struct{
    int dragging;
    int start_x;
    int start_y;
    ViewInfo original_view;
} typedef Mouse ;

void render(SDL_Renderer* renderer, ViewInfo view, int start_x, int end_x, int start_y, int end_y);


#endif
